Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.runtime
Class ComponentEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tapestry5.ioc.internal.util.TapestryException
                      org.apache.tapestry5.runtime.ComponentEventException

All Implemented Interfaces:
  java.io.Serializable, Locatable

    public class ComponentEventException

extends TapestryException

A wrapper exception around any exception thrown when invoking a component event handler. In some cases, the underlying exception may have been a declared exception, and will be wrapped in a RuntimeException.

See Also:
  `ExceptionUtils.findCause(Throwable, Class)`, Serialized Form

Constructor Summary
`ComponentEventException(java.lang.String message, java.lang.String eventType, EventContext context, java.lang.Object location, java.lang.Throwable cause)`

Method Summary
`EventContext` | `getContext()`
`java.lang.String` | `getEventType()`

Methods inherited from class org.apache.tapestry5.ioc.internal.util.TapestryException
`getLocation, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentEventException

    public ComponentEventException(java.lang.String message,
                                   java.lang.String eventType,
                                   EventContext context,
                                   java.lang.Object location,
                                   java.lang.Throwable cause)

Parameters:
  `message` - exception message
  `eventType` - type of event that triggered the exception
  `context` - context passed with the failed event
  `location` - location of the component while failed (may be null)
  `cause` - underlying exception

Method Detail

### getEventType

    public java.lang.String getEventType()

### getContext

    public EventContext getContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.